Package org.gradle.nativeplatform

# Interface BuildTypeContainer

All Superinterfaces:
  `Collection<BuildType>`, `Configurable<NamedDomainObjectContainer<BuildType>>`, `DomainObjectCollection<BuildType>`, `DomainObjectSet<BuildType>`, `Iterable<BuildType>`, `NamedDomainObjectCollection<BuildType>`, `NamedDomainObjectContainer<BuildType>`, `NamedDomainObjectSet<BuildType>`, `Set<BuildType>`

@Incubating public interface BuildTypeContainer extends NamedDomainObjectContainer<BuildType>
A container of `BuildType`s.

- ## Method Summary

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.gradle.api.DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

  `configure, create, create, create, maybeCreate, register, register`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`